plugins {
    id 'com.android.library'

}
apply plugin: 'kotlin-android'

apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'
apply from: 'publish.gradle'

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]
    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
        versionCode 1
        versionName "1.0"
    }

    buildTypes {
        release {
            minifyEnabled false
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

}

dependencies {
    api fileTree(include: ['*.jar','*.aar'], dir: 'libs')
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"

    implementation(rootProject.ext.dependencies["support-multidex"])
    implementation(rootProject.ext.dependencies["recyclerview-v7"])
    implementation(rootProject.ext.dependencies["appcompat-v7"])
    implementation(rootProject.ext.dependencies["design"])
    implementation(rootProject.ext.dependencies["constraint-layout"])
    implementation(rootProject.ext.dependencies["appcompat-v7"])
    implementation(rootProject.ext.dependencies["constraint-layout"])
    implementation(rootProject.ext.dependencies["okhttp3-logging"])
    implementation(rootProject.ext.dependencies["retrofit-converter-gson"])
    implementation(rootProject.ext.dependencies["retrofit"])
    implementation(rootProject.ext.dependencies["okhttp3"])
    implementation(rootProject.ext.dependencies["glide"])
    implementation(rootProject.ext.dependencies["gson"])
    implementation(rootProject.ext.dependencies["eventbus"])

    implementation "com.blankj:utilcode:1.25.9"
    api "com.tencent.liteav:LiteAVSDK_TRTC:10.1.0.11109"
    api "com.tencent.imsdk:imsdk-plus:6.3.2609"

}